/*
 * Copyright Arthur McBain (from://kennewick.)
 * Please do not copy or use without asking, that would be rude.
 */
window.addEventListener("load", function () {

    var info = window.prod || {
        name : "",
        number : "#"
    };
    document.title = "from://kennewick. #" + info.number + ": " + info.name;

    var logo = document.createElement("div");
    logo.id = "logo";
    logo.style.fontSize = "32px";
    logo.innerHTML = "from:<span>/</span>/kennewick<span style='font-size: 0px'>\u25A0</span>";
    document.body.appendChild(logo);

    // Everyone but Firefox renders the two slashes too far apart.
    // However no amount of tweaking is going to fix the display in Webkit, which is really wrong.
    if (navigator.userAgent.indexOf("Firefox") === -1) {
        logo.children[0].style.marginRight = "-14px";
    }

    do {
       // For those who can't quite put their finger on why the square at the end doesn't look
       // quite right, it ends up being just past half of the "K" but not as tall as the colon.
       logo.lastChild.style.fontSize = parseInt(logo.lastChild.style.fontSize) + 1 + "px";
       logo.style.fontSize = parseInt(logo.style.fontSize) + 1 + "px";
    } while (logo.clientWidth < document.body.clientHeight);

    var widthHalf = logo.clientWidth / 2;
    var heightAdjust = logo.clientHeight / 3.5;

    logo.style.left = -widthHalf + heightAdjust + 5 + "px";
    logo.style.top = (widthHalf - logo.clientHeight / 2) + "px";

    // It has an ID of "name" but contains the number? 0.o
    var number = document.createElement("div");
    number.id = "name";
    number.style.bottom = -heightAdjust + "px";
    number.style.fontSize = parseInt(logo.style.fontSize) * 3 + "px";
    number.innerHTML = info.number;
    document.body.appendChild(number);

    // Vertical location of text within the number varies by browser, but that's okay.
    var name = document.createElement("span");
    name.style.fontSize = parseInt(number.style.fontSize) / 15 + "px";
    name.innerHTML = info.name;
    number.appendChild(name);

    name.style.right = "5px";
    name.style.bottom = name.clientWidth + "px";

    // Who wants to stare at the logo the entire time?
    setTimeout(function() {
        logo.className = "showtime";
        logo.style.left = parseInt(logo.style.left) - logo.clientHeight + "px";
        number.className = "showtime";
        number.style.right = -number.clientWidth + "px"; 
    }, 10000);
});
